Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jul 2015 12:32:09 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sat, 04 Jul 2015 11:20:56 +0200
> 
> Mark Karpov <[email-masked]> writes:
> 
> > When I copy some files or create files, they are placed by Dired in
> > different positions than they would be placed normally (via ls call or
> > whatever Emacs uses internally). This is a separate problem, because of
> > this, I had to press ‘g’ in such cases, so every file gets in its proper
> > position. 
> >
> > What I propose is to make sure that copied/created/added to current
> > directory by other means files are in the same positions as they would
> > be displayed by ls command (or whatever Emacs uses), so when user
> > presses ‘g’ order of files doesn't change.
> 
> This is a feature of dired. It doesn't want to regenerate the whole
> dired buffer; instead it adds the new entry at the position the cursor
> is pointing to. This is because reverting the dired buffer could be
> expensive. Think about a remote directory, think about many inserted
> subdirectories.

But then we should set some flag that this kind of change has been
done, and let autorevert test that flag and decide to revert the
buffer even though its modified flag is set.

> Good or bad, if we want to change this behavour we would need a customer
> option which would trigger the regeneration of the dired buffer
> automatically.

I think if the user invoked auto-revert-mode in the Dired buffer, she
already communicated that intent to us, no?